/****************************
 * DreamShell ##version##   *
 * ds.h                     *
 * DreamShell headers       *
 * Created by SWAT          *
 ****************************/     

#ifndef _DS_MAIN_H
#define _DS_MAIN_H


//#define DS_DEBUG 1

#define true (1 == 1)
#define false (1 == 0)


#ifdef DS_ARCH_PSP

#include <pspkernel.h>
#include <pspctrl.h>
#include <pspdebug.h>
#include <pspdisplay.h>
#include <pspumd.h>
#include <pspkerneltypes.h>
#include <pspthreadman.h>
#include <string.h>
#include <stdarg.h>
#include <dirent.h>
#include <sys/stat.h>
#include "sys/queue.h"
#include "sys/unistd.h"

#define MAX_FN_LEN 512//MAX_NAME //MAXPATHLEN
#define TEMP_DIR "temp"

#ifdef DS_DEBUG
//#define printf Kprintf
//#define printf pspDebugScreenPrintf
#define dbg_printf pspDebugScreenPrintf
#endif



#elif DS_ARCH_DC

#include <kos.h>
#define TEMP_DIR "/ram"

#else

#define MAX_FN_LEN 256
#define TEMP_DIR "temp"

#include <dirent.h>
#include <sys/stat.h>
#include <stdarg.h>
#include <sys/queue.h>
//#include "sys/queue.h"
#include <sys/unistd.h>

#endif

#include <stdio.h>
#include <stdlib.h>
#include "video.h"
#include "list.h"
#include "thread.h"
#include "module.h"
#include "events.h"
#include "console.h"
#include "cmd_elf.h"
#include "install.h"
#include "lua.h"
#include "app.h"
#include "fs.h"
#include "utils.h"
#include "cfg+.h"
#include "exceptions.h"




#define DS_STATE_RUNNING 0
#define DS_STATE_SLEEP 1
#define DS_STATE_SHUTDOWN 2


int GetState();
void SetState(int state);

char *GetWorkPath();
void SetWorkPath(char *path);

int GetArch();
char *GetVersion();


#endif
